/*--------------------------------------------------------------------
UDMB, Unified Directory messages broker for uDir
Messaging system management for uDir.
Copyright (C) 2014, Abdelhamid MEDDEB (abdelhamid@meddeb.net)  

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
---------------------------------------------------------------------*/
@CHARSET "UTF-8";
body{
  margin:0;
  padding: 55px 0px 40px 0px;
  font-family: arial, verdana, geneva, tahoma, sans-serif;
 	font-size: medium;
 	text-align: left;
	color: black;
  background-color: white;
}

.header {
	position: absolute;
 	top: 0;
 	height:50px;
 	width: 80%;
 	left: 10%;    
}

.logobox {
	float: left;
  width:20%;
  display: block;
  left: 0;
  height:90px;
  margin-left: auto;
  margin-right: auto;
  margin-top: 15px;
	-moz-box-shadow: 0 0 5px lightgray;
 	-webkit-box-shadow: 0 0 5px lightgray;
  box-shadow: 0 0 5px lightgray;
  -moz-border-radius: 15px;
	border-radius: 5px;
	border:1px solid lightgray;
  font-family: arial, sans-serif;
 	font-size: small;
 	color: darkgray;
 	text-align: center;
}

.headerbox {
	float: right;
  width:76%;
  display: block;
  height:50px;
 	line-height: 50px;
 	vertical-align: middle;
  margin-left: auto;
  margin-right: auto;
  margin-top: 15px;
	-moz-box-shadow: 0 0 5px lightgray;
 	-webkit-box-shadow: 0 0 5px lightgray;
  box-shadow: 0 0 5px lightgray;
  -moz-border-radius: 15px;
	border-radius: 5px;
	border:1px solid lightgray;
  font-family: serif;
 	font-size: large;
 	font-style: italic;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box; 	
	padding-left: 5px;
	padding-right: 5px;
 	color: gray;
}
.titlebox {
	float: left;
  height:50px;
 	line-height: 50px;
 	vertical-align: middle;
  width:50%;
  display: block;
  left: 0;
	border:0px solid lightgray;
  font-family: serif;
 	font-size: large;
 	font-style: italic;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box; 	
	padding-left: 5px;
}

.connectbox {
	float: right;
  width:40%;
  height:50px;
 	line-height: 50px;
 	vertical-align: middle;
  display: block;
  right: 0;
	border:0px solid lightgray;
  font-family: arial, sans-serif;
 	font-size: medium;
 	text-align: right;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box; 	
	padding-right: 5px;
	padding-top: 8px;
}

.mainbox {
	position: absolute;
 	top: 119px;
 	width: 80%;
 	left: 10%;    
  height:70%;
}

.menubox {
	float: left;
  width:20%;
  height:100%;
  display: block;
  left: 0;
  margin-left: auto;
  margin-right: auto;
  -moz-border-radius: 5px;
	border-radius: 15px;
	border:1px solid lightgray;
  font-family: arial, sans-serif;
 	font-size: medium;
 	text-align: center;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box; 	
	padding-left: 10px;
	padding-right: 10px;
	padding-top: 15px;
}

.verticalPan{
	width: auto; 
	margin-right: 10px;
}

.headerGrid{
 	text-align: center;
 	font-weight: bold;
  background: darkblue;
  color: white;
}

.contentbox {
	float: right;
  width:76%;
  height:100%;
  display: block;
  right: 0;
  margin-left: auto;
  margin-right: auto;
	border:0px;
  font-family: arial, sans-serif;
 	font-size: medium;
 	text-align: left;
}


.footer{
  position:absolute;
  bottom:0;
  width:100%;
  height:40px;
  color: gray;
	font-size: 0.7em;
  text-align: center;
}

.titletext {
  text-shadow: 2px 2px 4px #999;
} 

.sectionTitle {
 	font-size: medium;
 	font-weight: bold;
} 


.menuButton {
  display: block;
  font-size: 16pt;
  width: 100px;
}

/** GWT widgets */
.gwt-DialogBox {
  width: 400px;
}

.labelTitle{
 	font-weight: bold;
}
.gwt-ToggleButton{ 
   font-size: 100%; 
   width:100%;
   height:30px;
 	 text-align: center;
}
.allGrid{
  width:100%;
  background: lightgray;
	border:1px solid white;
}

.colCenter{
 	 text-align: center;
 	font-weight: bold;
}

.running{
  background: lightgreen;
 	text-align: center;
 	font-weight: bold;
}

.testing{
  background: orange;
 	text-align: center;
 	font-style: italic;
}

.stopped{
  background: red;
 	text-align: center;
 	font-weight: bold;
 	color: yellow;
}

/*.gwt-ToggleButton-up{ 
   font-size: 100%; 
   width:100%;
   height:30px;
 	 text-align: center;
}

.gwt-ToggleButton-down{ 
   font-size: 100%; 
   width:100%;
   height:30px;
 	 text-align: center;
}

.gwt-ToggleButton-hover{ 
   font-size: 100%; 
   font-weight: bold;
   width:100%;
   height:30px;
 	 text-align: center;
}*/

.gwt-VerticalPanel{
   width:100%;
}

.gwt-PushButton{
   text-align:center;
}


.menuPanel {
  margin: 5px;
  widht: 100px;
}

.statusRed {
  width: 15px;
  height: 15px;
  background-color: red;
  border:0px;
}

.serverResponseLabelError {
  color: red;
}

/** Set ids using widget.getElement().setId("idOfElement") */
#closeButton {
  margin: 15px 6px 6px;
}
